///////////////////////////////////////////////////////////////////////////////
//                                                         
// BitmapTest.cc
// -------------
// Bitmap class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2002 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Chain.h"
#include "Bitmap.h"

int main(int argc, char **argv)
{

  try {


      Bitmap bm(20);
      
      
      cout << "Bitmap is " << bm.toChain() << endl;

      bm.setValue(4, true);
      bm.setValue(9, true);

      cout << "Bitmap is " << bm.toChain() << endl;
  }
  
  
  catch ( Exception e)
  {
      e.print();
  }


}

