///////////////////////////////////////////////////////////////////////////////
//                                                         
// ExceptionTest.cc
// -------------
// string class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Chain.h"


int main(int argc, char **argv)
{

  try {
      
      cout << "This is file " << __FILE__ << " and line " << __LINE__ << endl;

      Chain module("Mod");
      int line = 33;
      Chain msg("msg");
      Chain es = Chain(module) + Chain("[Line ") + Chain(line) + Chain("]") + Chain(" : ") + Chain(msg);
      Exception e(EXLOC, es);

      Exception e2 = e;
      
      throw Exception(EXLOC, es);

  }
  catch (Exception e)
  {
      cout << "got the ChainException: " << endl;
      e.print();
  }

    // cout << s2 << " Length=" << s2.length() << endl;

}

