///////////////////////////////////////////////////////////////////////////////
//                                                         
// GetOptTest.cc
// -------------
// GetOpt class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2003 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "GetOpt.h"


int main(int argc, char **argv)
{

    try {

	
	cout << "------------------------" << endl;
	cout << "Testing class GetOpt ..." << endl;
	cout << "   Constructors and Destructors...";
	if ( 1 )
	{
 
	    GetOpt myOpt(argc, argv, "abc:");

	}
	cout << "ok" << endl;
	
	cout << "   Member methods...";

	int argc = 4;
	char* argv[] = { "-a" , "-b", "-c",  "berta" };

	GetOpt myOpt(argc, argv, "abc:");	
	int o = myOpt.firstOpt();
	while ( o )
	{
	    switch (o)
	    {
	    case 'a':
		// cout << "got option a" << endl;
		break;
	    case 'b':
		// cout << "got option b" << endl;
		break;
	    case 'c':
		// cout << "got option c" << endl;
		// cout << "got option arg" << myOpt.getArg() << endl;
		break;
	    }
	    
	    o = myOpt.nextOpt();
	    
	}
       
	cout << "ok" << endl;
	cout << "------------------------" << endl;
	
    }
    catch (Exception e)
    {
	e.print();
    }
    
    
}

