///////////////////////////////////////////////////////////////////////////////
//                                                         
// TimerTest.cc
// -------------
// timer class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Timer.h"
#include "NanoTimer.h"

int main(int argc, char **argv)
{

  try {


      NanoTimer nt;

      int j;
      for ( j = 0 ; j < 3 ; j++ )
      {
	  nt.start();
	  
	  nt.stop();
      }

      cout << "Measure = " << nt.getSum();

      exit(0);

      cout << "------------------------" << endl;
      cout << "Testing class Timer ..." << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {
	  Timer t(10,3);
      }
      cout << "ok" << endl;

      cout << "   Member methods...";

      Timer t(10,3);
      t.start();
      Chain s;
     
      int i=2423455;
      while ( i ) { s=Chain(i); i--; };
      t.stop();

      t.getUsed();

      cout << "ok" << endl;

      cout << "------------------------" << endl;
      
  }
  catch (Exception e)
  {
      cout << "failed" << endl;
  }


}

