// BAse64Test.cc
// -------------
// file class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "File.h"
#include "Base64Coder.h"


#define BUFSIZE 8000

int main(int argc, char **argv)
{

  try {

      File testFile("testFile");
      
      testFile.open(File::READ);

      unsigned char byteBuf[BUFSIZE];

      int rb = 0;
      int n;
      while ( ( n =  testFile.readByte((char*)(rb + (int)byteBuf), BUFSIZE - rb)) > 0 )
      {
	  rb += n;
	  cout << "<<< read byte = " << rb << ">>>" << endl;
      }

      testFile.close();

      Base64Coder b64;

      cout << b64.encode(rb , byteBuf);
      /*
      File copyFile("copyFile");     
      copyFile = testFile;

      cout << "ok" << endl;

      cout << "------------------------" << endl;
      */

  }
  catch (Exception e)
  {
      e.print();
      cout << "failed" << endl;
  }
}
  

