///////////////////////////////////////////////////////////////////////////////
//                                                         
// BigDecTest.cc
// -------------
// BigDecimal class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////


#include "Exception.h"
#include "BigDecimal.h"

int main(int argc, char **argv)
{

  try {

      
      BigDecimal d1("11.33");
      BigDecimal d2("-1.01");
      
      if ( d1 < d2 )
      {
	  cout << "d1 < d2" <<  endl;
      }

      BigDecimal d3 = d2.add(d1);


      cout << d3.toChain() <<  endl;

      // d2 = d1.mulDigit(7);

      // cout << d3 <<  endl;
  }
  catch (Exception e)
  {
      e.print();
  }


}

