///////////////////////////////////////////////////////////////////////////////
//                                                         
// ChainTest.cc
// -------------
// chain class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Chain.h"


int main(int argc, char **argv)
{

  try {


      Chain h(argv[1]);


      cout << "Hash value of " << h << " is " << h.getHashPos(50) << endl;
      exit(0);
      
      Chain s("This is the chain to replace and replace and replaceY");
      Chain pattern("%y%");
      Chain sqlPattern = Chain("^") + pattern + Chain("$");
      cout << "Source = " << sqlPattern << endl;

      sqlPattern.replaceAll(Chain("%"), Chain(".*"), sqlPattern);
      sqlPattern.replaceAll(Chain("_"), Chain("."), sqlPattern);


      cout << sqlPattern << endl;
      // exit(0);

      cout << "------------------------" << endl;
      cout << "Testing class Chain ..." << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {
	  char buf[20];
	  unsigned long l;
	  int i;
	  float f;
	  double d;

	  Chain s1;
	  Chain s2(buf);
	  Chain s3(buf, 20);
	  Chain s4(s1);
	  Chain s5('c');
	  Chain s6(l);
	  Chain s7(i);
	  Chain s8(f);
	  Chain s9(d);


	  
      }	  
      
      cout << "ok" << endl;

      cout << "   Member methods...";
      Chain s8 = Chain("XXXergo");
      s8.length();
      s8.toUpper();
      s8.toLower();
      s8.asInteger();
      s8.asBool();
      s8.isNum();
      s8.cutTrailing("YYY");
      s8.truncLeft("YYY");
      s8.truncRight("CCC");
      int pos;
      s8.posStr("ergo", pos);
      Chain res;
      s8.replace("A", "B", res);
   
      Chain s9 = Chain("2.345");
      s9.asFloat();

      cout << "ok" << endl;

      cout << "   Operators...";

      cout << "ok" << endl;

      cout << "------------------------" << endl;
      

      

  }
  catch (Exception e)
  {
      cout << "failed" << endl;
  }


}

