///////////////////////////////////////////////////////////////////////////////
//                                                         
// DatetimeTest.cc
// ---------------
// datetime class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////


#include "Exception.h"
#include "Datetime.h"

#define DTFORMAT "%d.%m.%Y %H:%M:%S"

int main(int argc, char **argv)
{

  try {

      Chain v(argv[1]);
      Chain format(argv[2]);

      Datetime d; // (v,format); 
      cout << d.asChain() <<  endl;
      
      
      Datetime d2(d.asChain());
      cout << d2.asChain() <<  endl;
      // cout << d2.asChain() <<  endl;
  }
  catch (Exception e)
  {
      e.print();
  }


}

