///////////////////////////////////////////////////////////////////////////////
//                                                         
// GetLongOptTest.cc
// -----------------
// GetLongOpt class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "GetLongOpt.h"

int main(int argc, char **argv)
{

    try {


	GetLongOpt myOpt(argc, argv);
	
	cout << "argc=" << argc << endl;
	myOpt.addOpt("opt1", "def1");
	myOpt.addOpt("iwan", "huuga");

	cout << "OptValue=" << myOpt.getOptValue("opt1") << endl;
	cout << "OptValue=" << myOpt.getOptValue("iwan") << endl;
	
    }
    catch (Exception e)
    {
	e.print();
    }
    
    
}

