///////////////////////////////////////////////////////////////////////////////
//                                                         
// ListTest.cc - Testing the ListT template
//                                                         
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2002 by Bjoern Lemke                        
//
// IMPLEMENTATION MODULE
//
// 
// 
// Description: Testing the SetT class
//
///////////////////////////////////////////////////////////////////////////////

// #pragma implementation "ListT.h"

// INCLUDES
#include <stdlib.h>
#include <time.h>

#include "Exception.h"
#include "ListT.h"

// DEFINES

ostream& operator << (ostream& s, ListT<int>& x)
{

     int* pElement = x.First();
  
     s << "{";
     
     while (pElement)
     {      
	  s << *pElement ;
	  pElement = x.Next(); 
	  if (pElement)
	       s << ",";
     }
     s << "}";
     
     return s;
  
}

int main(int argc, char **argv)
{

  try {

      
      cout << "------------------------" << endl;
      cout << "Testing class ListT ..." << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {
	  ListT<int> l1;
	  
      }
          
      cout << "ok" << endl;
      cout << "   Member methods...";
      
      srandom(time(0));
      
      unsigned long  count = 1000;
    
      ListT<int> l1;
      
      l1.Insert(2);
      l1.Insert(10);
      l1.Insert(14);
      l1.Insert(35);
      

      ListT<int> l2;

      l2.Insert(2);
      l2.Insert(10);
      l2.Insert(14);
      l2.Insert(34);
      
      if ( l1 == l2 )
	  cout << "list match" << endl;
      else
	  cout << "list don't match" << endl;

      // l1[30] = 33;

      
      cout << "ok" << endl;

      cout << "------------------------" << endl;
           
  }
  catch ( Exception e)
  {
      cout << "failed" << endl;
  }
/*
  catch ( int i)
  {
      cout << "Catch " << i << endl;
      cout << "failed" << endl;
      } */
  

   
          
}



