///////////////////////////////////////////////////////////////////////////////
//                                                         
// MatchTest.cc
// -------------
// MatchTest class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2004 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Matcher.h"


int main(int argc, char **argv)
{

  try {

      Chain e("Erwin kommt");

      Matcher m(e);

      cout << "Preparing .." << endl;
      m.prepare();

      cout << "Matching .." << endl;
      if ( m.match("Erwin") )
      {
	  cout << "Matches" << endl;
      }
      else 
      {
	  cout << "Not Matches" << endl;
      }
  }
  catch (Exception e)
  {
      e.print();
  }  
}

