// NetClient.cc
// -------------
// file class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2000,2001,2002,2003,2004,2005 
// by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Timer.h"
#include "Net.h"
#include "Chain.h"

int main(int argc, char **argv) 
{ 
    
    try { 
	
	int msgCluster=Chain(argv[1]).asInteger(); 
	int numCluster=Chain(argv[2]).asInteger(); 
	
	
	cout << numCluster << " " << msgCluster << endl; 
	
	Net n(1024, 10); 
	NetHandler* pN; 
	
	pN = n.connect(Chain("localhost"), 2000); 
	
	Chain data("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"); 
	
	pN->setMsg(data, data.length()); 
	
	for ( int i=0; i < numCluster; i++) 
	{ 
	    Timer t; 
	    t.start(); 
	    
	    for ( int j=0; j<msgCluster; j++) 
	    {       
		pN->writeMsg(); 
		pN->readMsg(); 
	    } 
	    t.stop(); 
	    cout << t << endl; 
	} 
    } 
    catch (Exception e) 
    { 
	e.print(); 
	
    } 
} 


