// NetServer.cc
// -------------
// file class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2000,2001,2002,2003,2004,2005 
// by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Net.h"
#include "Chain.h"

int main(int argc, char **argv)
{

  try {

      Net n(1024, 10);

      n.serve(4000);
      
      NetHandler* pNetHandle;

      while ( 1 ) 
      {
	  pNetHandle = n.nextRequest(1000);
	  if ( pNetHandle->getMsgSize() > 0 ) ;
	  
	  Chain answer = Chain("this is the answer to XXXX"); //  + Chain(pNetHandle->getId());
	  pNetHandle->setMsg((char*)answer, answer.length());
	  pNetHandle->writeMsg();
      }
      
  }
  catch (Exception e)
  {
      cout << "Catch exception .." << endl;
      e.print();
      
  }
}
  

