///////////////////////////////////////////////////////////////////////////////
//                                                         
// SemTest.cc
// -------------
// Semaphore class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Semaphore.h"


int main(int argc, char **argv)
{
  try 
  {
      cout << "------------------------" << endl;
      cout << "Testing class Semaphore ..." << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {
	  Semaphore s1(123);
      }

      cout << "ok" << endl;

      cout << "   Member methods...";

      Semaphore s1(123);
      s1.init();
      
      int i=1000;
      while (i>0)
      {
	  s1.P();
	  s1.V();
	  i--;
      }
      s1.destroy();

      cout << "ok" << endl;
  }
  catch (Exception e)
  {
      
      cout << "failed" << endl;
  }
   
}


