///////////////////////////////////////////////////////////////////////////////
//                                                         
// SigTest.cc
// -------------
// signal handler class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////


// #include <unistd.h>
// #include <iostream.h>

#include "Exception.h"
#include "Chain.h"
#include "SigHandler.h"


class MySig : public SigHandler
{
  
public:
    MySig() : SigHandler() {
	
   
	init();
	install(SIGINT);
	install(SIGPIPE);	    
   	
	// install(SIGPIPE);	    
    };
    
    void sigCatch(int sig) {
	
	try {
	    install(SIGINT);
	    install(SIGPIPE);
	    cout << "catched signal " << sig << endl;
	    exit(1);
	}
	catch ( Exception e)
	{
	    Chain msg;
	    e.pop(msg);
	    cout << "Error : " << msg << endl;
	}
	
    }; 
    
};


int main(int argc, char **argv)
{
    
  try {


      MySig s1;
      
      /*
      s1.init();
      s1.install(SIGINT);
      s1.install(SIGPIPE);	    
      */

      int i=0;
      while (1)
      {
	  cout << "Waiting ..." << i << endl;
	  
	  i++;
	  // MySig s2;
	  // s2.install(SIGALRM);
	  sleep(3);
      }
      
  }
  catch (Exception e)
  {
      Chain msg;
      e.pop(msg);
      cout << "got the Exception: " << msg << endl;
  }
}

