///////////////////////////////////////////////////////////////////////////////
//                                                         
// StackTest.cc - Testing the StackT template
//                                                         
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2002 by Bjoern Lemke                        
//
// IMPLEMENTATION MODULE
//
// 
// 
// Description: Testing the SetT class
//
///////////////////////////////////////////////////////////////////////////////

#pragma implementation "StackT.h"

#include "Exception.h"
#include "StackT.h"

// DEFINES


int main(int argc, char **argv)
{

    try {    

	cout << "------------------------" << endl;
	cout << "Testing class StackT ..." << endl;
	cout << "   Constructors and Destructors...";
	if ( 1 )
	{

	    StackT<int> myStack;

	}
	
	cout << "ok" << endl;
	cout << "   Member methods...";


	StackT<Chain> myStack;


	srandom(time(0));		  	    

	myStack.Push("Hello");
	myStack.Push("fsdfdsfsd");
	myStack.Push("KJJJJJJ");
	myStack.Push("oooooooooooooooooo");
	
	StackT<Chain> yourStack(myStack);

	// cout << "MyStack Size = " << myStack.Size() << endl;
 
	yourStack = myStack;

	    
	Chain i;
	while ( myStack.Pop(i) ) cout << "pop = " << i << endl;
	cout << "=====" << endl;
	while ( yourStack.Pop(i) )  cout << "pop = " << i << endl;

	
	cout << "ok" << endl;
	
	cout << "------------------------" << endl;
	
	throw Exception (Chain("BBBB"), 99, Chain("ii"));
	
    }
    catch (Exception e)
    {
	e.print();
	cout << "failed" << endl;
    }
	
        
}





