///////////////////////////////////////////////////////////////////////////////
//                                                         
// TokenTest.cc
// -------------
// tokenizer class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2002 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Chain.h"
#include "Tokenizer.h"

int main(int argc, char **argv)
{

  try {

      
      cout << "------------------------" << endl;
      cout << "Testing class Tokenizer ..." << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {

	  Tokenizer t("HHHHH", "%");
      }
      
      cout << "ok" << endl;
      cout << "   Member methods...";

      Chain s1("hurga%xxx%tokenizer%test stream");       
      Tokenizer t(s1, "%");

      Chain token;
      while (t.nextToken(token) == true) 
	  cout << token << endl;
      
      cout << "ok" << endl;

      cout << "------------------------" << endl;
           
  }
  catch ( Exception e)
  {
      cout << "failed" << endl;
  }
  

}

