///////////////////////////////////////////////////////////////////////////////
//                                                         
// Base64Coder.cc
// --------------
// Base64 encoding and decoding
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009 Bjoern Lemke                        
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// IMPLEMENTATION MODULE
//
// Class: Base64Coder
// 
// Description:
//
// Status: IMPLEMENTED
///////////////////////////////////////////////////////////////////////////////


// INCLUDES

#include "Base64Coder.h"
#include "Exception.h"

#include "base64.h"

extern "C" char *encode_base64(int size, unsigned char *src);

Base64Coder::Base64Coder()
{    
}

Base64Coder::~Base64Coder()
{

}

char* Base64Coder::encode(int size, unsigned char *src)
{
    return ::encode_base64(size, src);
}

long Base64Coder::decode(char* src, unsigned char* buf, long bufSize)
{
    return ::decode_base64(buf, src);   
}




