#ifndef _SLEEPER_H_INCLUDED_
#define _SLEEPER_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// Sleeper.h
// ---------
// Sleeper class defintion
//                                                         
// (C)opyright 2000-2007 Bjoern Lemke
//
// Design and Implementation by Bjoern Lemke               
//                                                         
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// INTERFACE MODULE
//
// Class: Sleeper
// 
// Description:
//
// Status: IMPLEMENTED
///////////////////////////////////////////////////////////////////////////////

class Sleeper {

public:

    Sleeper();
    ~Sleeper();

    void secSleep(int n) const;
    void milliSleep(int n) const;
    void microSleep(int n) const;
    void nanoSleep(int n) const;
    

private:
    
};

#endif



